
QGIS Application - Bug report #17919

Desktop app: Distance tool does not work

2018-01-22 03:42 AM - Sylvain DE MARGERIE

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.15 Regression?: No

Operating System: Windows 10 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 25815

Description

When I use the Distance Tool to measure a distance that I know is 10km on a map, the distance tool give me a value of 3,000 km to

16,000km  Moving the cursor just a little causes the value to fluctuate wildly.

I am using QGIS 2.18 on Windows 64.  The same issue exists in version 2.14

I have loaded a singe layer with OpenStreetMAp from the OpenLAyer plugin.  The layer loads with CRS= WGS/Pseudo Mercator EPSG

3857 and is left unchanged.

I set  "on the fly CRS transformation" and set the project/display CRS to UTM-18.

I zoom into an area I know,

The scale dialog says 1:100,000 and this appears correct.  also when I move the cursor a distance that I know is 10km the coordinates

change by 10,000m as expected.

The Distance Tool and likely other features get the wrong distance (enclosed is a screen shot, The area I'm zoomed in is near 45N 75W )

Sylvain

History

#1 - 2018-01-22 04:19 AM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to invalid

The OpenLayers plugin is very buggy, and causes numerous issues like this - please use the more stable QuickMapServices plugin instead.

#2 - 2018-01-22 11:23 AM - Jürgen Fischer

- Subject changed from Desltop app:  Distance tool does not work to Desktop app: Distance tool does not work

#3 - 2018-01-22 03:47 PM - Sylvain DE MARGERIE

- Status changed from Closed to Reopened

The issue is exactly the same with the QuickMApServices plugin.  The issue further propagates to the heatmap plugin which makes it impossible to

properly set the radius according to any predictable units.
#4 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Reopened to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#5 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution changed from invalid to end of life

- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
